Subject: Transient problems with pine

From: [email-masked] ()
Date: 19 Jul 1996 19:17:26 GMT

I have recently decided to connect my Linux box to my shell account 
at my university using slirp (yes I know a ppp emulator is not very
clean). I'm using Linux 1.2.13 and pine 3.91. When I'm not connected
I'm using a simple localhost setup with no entries in /etc/resolv.conf
and just the name of the host in /etc/HOSTNAME and /etc/hosts. And 
everything works fine. When I set it up for a connection, I add the 
domain name to the host name in /etc/hosts in the format of 
testing.unimachine.edu. I add the domain to the to the /etc/resolv.conf 
along with the addresses of three of our name servers. Then I reboot the
machine. Now without establishing the ppp connection yet. Pine chokes
on any mail sent locally with addresses set with the hostname of the machine
but will deliver them if you type in localhost instead of the hostname.
Elm 2.4 and mail 5.5 don't seem to have this problem. So, my question is what
is pine trying to do? Is it sending the mail by checking with the name
servers first? The error I get is "transient problems" and mail get bounced
to root... I'm pretty sure I followed most of the howtos explicitly but 
not to idiocy. I never did connect as this has eaten up too much of my 
time and the connect scripts are getting hung by some characters sent by the
servers... something I'll fiddle with later. But I'm curious as I don't 
have the documentation to pine at hand. Setting pine to maximum debug seemed
to get the same error message. I hope I included enough information
rather than say "I have a problem...".